import 'package:flutter/material.dart';

class AddNoteExample extends StatefulWidget {
  @override
  _AddNoteExampleState createState() => _AddNoteExampleState();
}

class _AddNoteExampleState extends State<AddNoteExample> {
  final TextEditingController _controller = TextEditingController();
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Add Note"),
      ),
      body: SingleChildScrollView(
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            ListTile(
              title: TextField(
                controller: _controller,
                decoration: InputDecoration(hintText: "Note Text"),
              ),
            ),
            RaisedButton.icon(
              icon: Icon(Icons.save),
              label: Text("Save"),
              onPressed: () => Navigator.pop(context, _controller?.text ?? ""),
            )
          ],
        ),
      ),
    );
  }
}
