part of unify;

class PreQual implements UnifyObject {
  PreQual(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get contactID => json["Contact_ID"];
  String get loanID => json["Loan_ID"];
  String get loanNumber => json["Loan_Number"];
  String get firstName => json["Borrower_First_Name"];
  String get lastName => json["Borrower_Last_Name"];
  String get homePhone => json["Home_Phone"];
  String get officePhone => json["Office_Phone"];
  String get cellPhone => json["Cell_Phone"];
  String get emailAddress => json["Email_Address"];
  String get baAgent => json["BA_Agent"];
  String get baCellPhone => json["BA_Cell_Phone"];
  String get baBizPhone => json["BA_Biz_Phone"];
  String get baEmail => json["BA_Email"];
  String get lastModified => json["Last_Modified"];
  String get closingDate => json["Closing_Date"];
  String get estimatedClosing => json["Estimated_Closing_Date"];
  String get appDate => json["Application_Date"];
  String get leadTaskID => json["Lead_Task_ID"];
  String get loanView => json["Loan_View"];

}
