part of unify;

class StatusUpdate implements UnifyObject {
  StatusUpdate(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get contactID => json["Borrower_Contact_ID1"];
  String get loanID => json["Loan_ID"];
  String get loanNumber => json["Loan_Number"];
  String get firstName => json["Borrower_First_Name"];
  String get lastName => json["Borrower_Last_Name"];
  String get homePhone => json["Borrower_Home_Phone"];
  String get officePhone => json["Borrower_Biz_Phone"];
  String get cellPhone => json["Borrower_Cell_Phone"];
  String get emailAddress => json["Borrower_Email"];
  String get coContactID => json["CoBorrower_Contact_ID1"];
  String get coFirstName => json["CoBorrower_First_Name"];
  String get coLastName => json["CoBorrower_Last_Name"];
  String get coHomePhone => json["CoBorrower_Home_Phone"];
  String get coOfficePhone => json["CoBorrower_Biz_Phone"];
  String get coCellPhone => json["CoBorrower_Cell_Phone"];
  String get coEmailAddress => json["CoBorrower_Email"];
  String get propAddress => json["Property_Address"];
  String get propCity => json["Property_City"];
  String get baName => json["BA_Agent"];
  String get baCellPhone => json["BA_Cell_Phone"];
  String get baBizPhone => json["BA_Biz_Phone"];
  String get baEmail => json["BA_Email"];
  String get saName => json["SA_Agent"];
  String get saCellPhone => json["SA_Cell_Phone"];
  String get saBizPhone => json["SA_Biz_Phone"];
  String get saEmail => json["SA_Email"];
  String get caName => json["Closing_Agent"];
  String get caCellPhone => json["CA_Agent_Cell_Phone"];
  String get caBizPhone => json["CA_Agent_Biz_Phone"];
  String get caEmail => json["CA_Agent_Email"];
  String get eaCompany => json["Escrow_Agent_Company"];
  String get eaBizPhone => json["EA_Biz_Phone"];
  String get eaEmail => json["EA_Email"];
  String get eaAgent => json["EA_Agent"];
  String get borrowerCalled => json["BorrowerCalled"];
  String get borrowerStatus => json["BorrowerStatus"];
  String get borrowerCalledBy => json["BorrowerCalledCompBy"];
  String get coBorrowerCalled => json["CoBorrowerCalled"];
  String get coBorrowerCalledBy => json["CoBorrowerCalledCompBy"];
  String get baCalled => json["BACalled"];
  String get baCalledBy => json["BACalledCompBy"];
  String get saCalled => json["SACalled"];
  String get saCalledBy => json["SACalledCompBy"];
  String get caCalled => json["CACalled"];
  String get caCalledBy => json["CACalledCompBy"];
  String get eaCalled => json["EACalled"];
  String get eaCalledBy => json["EACalledCompBy"];
  String get bagcCall => json["BAGCCall"];
  String get sagcCall => json["SAGCCall"];
  String get cagcCall => json["CAGCCall"];
  String get eagcCall => json["EAGCCall"];
  String get cobgcCall => json["COBGCCall"];
  String get reportNotes => json["ReportNotes"];
  String get reportNotesCOB => json["ReportNotesCOB"];
  String get reportNotesBA => json["ReportNotesBA"];
  String get reportNotesSA => json["ReportNotesSA"];
  String get reportNotesCA => json["ReportNotesCA"];
  String get reportNotesEA => json["ReportNotesEA"];
  String get leadTask => json["LeadTask"];
  String get leadTaskID => json["Lead_Task_ID"];
  String get coBorrowerLeadTask => json["CoBorrower_LeadTask"];
  String get coBorrowerLeadTaskID => json["CoBorrower_Lead_Task_ID"];
}
