part of unify;

class InquiryAlert implements UnifyObject {
  InquiryAlert(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get id => json["Inquiry_Alert_ID"];
  String get contactID => json["Contact_ID"];
  String get firstName => json["First_Name"];
  String get lastName => json["Last_Name"];
  String get type => json["Inquiry_Type"];
  String get isInquiryAlert => json["Inquiry_Alert"];
  DateTime get inquiryDate => DateTime.tryParse(json["Inquiry_Date"] as String);
  String get loanNumber => json["Loan_Number"];
  String get regionID => json["Region_ID"];
  String get homePhone => json["Home_Phone"];
  String get cellPhone => json["Cell_Phone"];
  num get ltv => num.tryParse(json["LTV_Ratio"]);
  DateTime get closingDate => DateTime.tryParse(json["Closing_Date"] as String);
  num get fico => num.tryParse(json["Fico_Score"]);
  String get loanType => json["Loan_Type"];
  String get propType => json["Property_Type"];
  String get loanOfficer => json["Loan_Officer"];
  String get branchName => json["Branch_Name"];
  String get companyID => json["Company_ID"];
  String get userID => json["User_ID"];
  String get state => json["State"];
  num get loanAmount => num.tryParse(json["Loan_Amount"]);
  num get interestRate => num.tryParse(json["Interest_Rate"]);
}
