part of unify;

class MarketingPreview implements UnifyObject {
  MarketingPreview(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get status => json["Status"];

  String get message => json["Message"];

  String get eventAction => json["event_action"];

  String get content => json["content"];

  String get imgURL => json["image_url"];

  List<MarketingEvent> get results => json["Result"] == null
      ? []
      : List?.from(json["Result"])
              ?.map((i) => MarketingEvent(client, i))
              ?.toList() ??
          [];
}

class MarketingPreviewResult implements UnifyObject {
  MarketingPreviewResult(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get eventAction => json["event_action"];

  String get content => json["content"];

  String get imgURL => json["image_url"];
}